# NewsItem Struct Reference

## Data Fields
NewsItem * | prev
| Previous news item.
NewsItem * | next
| Next news item.
StringID | string_id
| Message text.
Date | date
| Date of the news.
NewsSubtype | subtype
| News subtype.
NewsFlag | flags
| NewsFlags bits.
NewsReferenceType | reftype1
| Type of ref1.
NewsReferenceType | reftype2
| Type of ref2.
uint32 | ref1
| Reference 1 to some object: Used for a possible viewport, scrolling after clicking on the news, and for deleteing the news when the object is deleted.
uint32 | ref2
| Reference 2 to some object: Used for scrolling after clicking on the news, and for deleteing the news when the object is deleted.
void * | free_data
| Data to be freed when the news item has reached its end.
uint64 | params [10]

## Detailed Description

Definition at line 132 of file news_type.h.

## Field Documentation

NewsFlag NewsItem::flags

NewsFlags bits.

See also:
  NewsFlag

Definition at line 138 of file news_type.h.

Referenced by AddNewsItem().

NewsSubtype NewsItem::subtype

News subtype.

See also:
  NewsSubtype

Definition at line 137 of file news_type.h.

Referenced by AddNewsItem(), and ShowNewspaper().

The documentation for this struct was generated from the following file:

- src/news_type.h